Skip to main content
PUT
/
amlyze-ws-rest
/
contract
Update contract
curl --request PUT \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/contract' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "communicationNumber": "COM216a",
  "requester": "financial_institution",
  "contractType": "CREDIT_CARD",
  "businessUnit": "sandbox",
  "extId": "any_contract_1232",
  "contractCode": "REG74121101",
  "customerExtId": "ORG20231117550"
}
'
{
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "resultType": "REQUEST_ACCEPTED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Contract to update

communicationNumber
string
required

Unique number of communication. It is used for risk assessment callback.

extId
string
required

Unique external contract identifier. This corresponds to the contract identifier in the financial institution.

requester
string
required

Name of the system requesting web service.

Maximum string length: 100
accountExtId
string

External account identification number. Corresponds to the account's identifier in the financial institution.

action
enum<string>

Element is used to create/update data of the contract. If not provided, CREATE is the default. By using UPDATE, all existing data will be replaced with the newly provided data. This field is primarily for batch API usage.

Available options:
CREATE,
UPDATE
active
boolean

Indicates if a contract is active.

additionalProperties
object[]

Additional properties for the contract.

businessUnit
string

Mandatory for clients using a multi-organizational solution. Specifies the unique identifier for the business unit.

contractCode
string

Contract code or number.

contractType
string

Type of contract for evaluation of the object. Possible values are configured per client. See /classifier/contractType.

customerExtId
string

External customer identifier. This links a contract to a customer and corresponds to the client's identifier in the financial institution.

endAt
string<date>

Contract end date or any other date that covers the ending point.

startAt
string<date>

Contract start date or any other date that covers the starting point.

Response

200 - application/json

OK

errorCode
string
errorDescription
string
resultType
enum<string>
Available options:
REQUEST_ACCEPTED,
REQUEST_REJECTED